# Uses of Enum Class
io.papermc.paper.enchantments.EnchantmentRarity

Packages that use EnchantmentRarity
Package
Description
io.papermc.paper.enchantments
org.bukkit.enchantments
Classes relating to the specialized enhancements to `item stacks`, as part of the `meta data`.

## Uses of EnchantmentRarity in io.papermc.paper.enchantments

Methods in io.papermc.paper.enchantments that return EnchantmentRarity
Modifier and Type
Method
Description
`static EnchantmentRarity`
EnchantmentRarity.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EnchantmentRarity[]`
EnchantmentRarity.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of EnchantmentRarity in org.bukkit.enchantments

Methods in org.bukkit.enchantments that return EnchantmentRarity
Modifier and Type
Method
Description
`abstract EnchantmentRarity`
Enchantment.`getRarity()`
Gets the rarity of this enchantment.
`EnchantmentRarity`
EnchantmentWrapper.`getRarity()`